Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class ProductsGant_SetGantItemColumn_PopUp
    Inherits BaseObject

    Private _ColumnCaption As String
    Private _IsGroupColumn As Boolean
    Private _GroupIndex As Long
    Private _IsVisable As Boolean
    Private _Index As Long
    Private _Width As Long
    Private _ColumnID As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property ColumnCaption As String
        Get
            Return _ColumnCaption
        End Get
        Set(value As String)
            SetPropertyValue("ColumnCaption", _ColumnCaption, value)
        End Set
    End Property
    Property IsGroupColumn As Boolean
        Get
            Return _IsGroupColumn
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsGroupColumn", _IsGroupColumn, value)
        End Set
    End Property
    Property GroupIndex As Long
        Get
            Return _GroupIndex
        End Get
        Set(value As Long)
            SetPropertyValue("GroupIndex", _GroupIndex, value)
        End Set
    End Property
    Property IsVisable As Boolean
        Get
            Return _IsVisable
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsVisable", _IsVisable, value)
        End Set
    End Property
    Property Index As Long
        Get
            Return _Index
        End Get
        Set(value As Long)
            SetPropertyValue("Index", _Index, value)
        End Set
    End Property
    Property Width As Long
        Get
            Return _Width
        End Get
        Set(value As Long)
            SetPropertyValue("Width", _Width, value)
        End Set
    End Property
    Property ColumnID As String
        Get
            Return _ColumnID
        End Get
        Set(value As String)
            SetPropertyValue("ColumnID", _ColumnID, value)
        End Set
    End Property
End Class
